## proofgeneral 3.4

=== Makefile ===
##
## Makefile for Proof General.
## 
## Author:  David Aspinall <da@dcs.ed.ac.uk>
##
##  make		- do "compile" and "scripts" targets
##  make compile	- make .elc's in a single session
##  make all		- make .elc's in separate sessions
##  make scripts	- edit paths in isabelle interface scripts,
##			  legotags and coqtags
##
## Makefile,v 7.0 2002/08/29 09:00:55 da Exp
## 
###########################################################################


ELISP_DIRS = generic lego coq isa isar plastic demoisa hol98 phox twelf acl2
# FIXME: automate the emacs choice to be xemacs if it can be
# found, otherwise emacs.
BATCHEMACS=xemacs -batch -q -no-site-file

PWD=$(shell pwd)
BASH_SCRIPTS = isa/interface isar/interface
PERL_SCRIPTS = lego/legotags coq/coqtags

# FIXME: would rather set load path in Elisp,
# but seems tricky to do only during compilation.
# Another idea: put a function in proof-site to
# output the compile-time load path and
# ELISP_DIRS so these are set just in that one
# place.
BYTECOMP = $(BATCHEMACS) -eval '(setq load-path (append (mapcar (lambda (d) (concat "${PWD}/" (symbol-name d))) (quote (${ELISP_DIRS}))) load-path))' -f batch-byte-compile
EL=$(shell for f in $(ELISP_DIRS); do ls $$f/*.el; done)
ELC=$(EL:.el=.elc)

# These files may work now, but BC is not yet guaranteed in 3.4.
# [currently broken for prover instances]
# proof-toolbar.elc proof-menu.elc proof-indent.elc proof-x-symbol.elc
BROKENELC=proof-menu.elc # easy-menu-define expanded too early.
# NB: calls to proof-defshortcut also broken, evaluates define-key.

.SUFFIXES:	.el .elc

default: compile scripts

## 
## compile : byte compile files in working directory:
##           Clearout old .elc's and re-compile in a
##           single Emacs process.  This is faster than make all,
##	     but can have artefacts because of context between
##	     compiles.
##
compile: 
	@echo "*************************************************"
	@echo " Byte compiling..."
	@echo "*************************************************"
	rm -f $(ELC) 
	$(BYTECOMP) $(EL)
	rm -f $(BROKENELC)
	@echo "*************************************************"
	@echo " Finished."
	@echo "*************************************************"

all:	$(ELC)

.el.elc:
	$(BYTECOMP) $*.el
	rm -f $(BROKENELC)

##
## scripts: try to patch bash and perl scripts with correct paths
##
scripts: bashscripts perlscripts

bashscripts:
	@(bash="`which bash`"; \
	 if [ -z "$$bash" ]; then \
	   echo "Could not find bash - bash paths not checked" >&2; \
	   exit 0; \
	 fi; \
	 for i in $(BASH_SCRIPTS); do \
	   sed "s|^#.*!.*/bin/bash.*$$|#!$$bash|" < $$i > .tmp \
	   && cat .tmp > $$i; \
	 done; \
	 rm -f .tmp)

perlscripts:
	@(perl="`which perl`"; \
	 if [ -z "$$perl" ]; then \
	   echo "Could not find perl - perl paths not checked" >&2; \
	   exit 0; \
	 fi; \
	 for i in $(PERL_SCRIPTS); do \
	   sed "s|^#.*!.*/bin/perl.*$$|#!$$perl|" < $$i > .tmp \
	   && cat .tmp > $$i; \
	 done; \
	 rm -f .tmp)

clean:
	rm -f $(ELC) *~ */*~ .\#* */.\#*
	(cd doc; $(MAKE) clean)


##
## This special target lets us use targets defined 
## in developer's makefile Makefile.devel conveniently,
## via make devel.<target>
##

devel.%:
	make -f Makefile.devel $*

##
## Similarly for xemacs Makefile.
##

xemacs.%:
	make -f Makefile.xemacs $*

=== doc/Makefile ===
##
## Makefile for Proof General doc directory.
##
## Author:  David Aspinall <da@dcs.ed.ac.uk>
##
## Maintainer:  Proof General maintainer <proofgen@dcs.ed.ac.uk>
##
## Makefile,v 7.0 2002/08/29 09:12:11 da Exp
## 
###########################################################################
##
## Use:
##	make info,dvi,pdf,html    - build respective docs from texi source.
##	make doc		  - make default kinds of doc (dvi, info).
##
###########################################################################

default:
	$(MAKE) doc

%:
	make -f Makefile.doc DOCNAME=PG-adapting MAKE="make -f Makefile.doc" $@
	make -f Makefile.doc DOCNAME=ProofGeneral MAKE="make -f Makefile.doc" $@

## proofgeneral 3.5

=== Makefile ===
##
## Makefile for Proof General.
## 
## Author:  David Aspinall <David.Aspinall@ed.ac.uk>
##
##  make		- do "compile" and "scripts" targets
##  make compile	- make .elc's in a single session
##  make scripts	- edit paths to bash/perl/PGHOME in scripts
##  make install	- install into system directories
##  make clean		- return to clean source
##
## Makefile,v 8.0 2004/04/17 23:23:53 da Exp
## 
###########################################################################

# Set this to "emacs" or "xemacs" according to your version of Emacs.
# NB: this is also used to set default install path names below.
EMACS=xemacs

# We default to /usr rather than /usr/local because installs of
# desktop and doc files under /usr/local are unlikely to work with
# rest of the system.  If that's no good for you, edit the paths
# individually before the install section.
# NB: DEST_PREFIX is used for final destination prefix, in case we're
# packaging into a build prefix rather than live root (e.g. in rpmbuild).
PREFIX=/usr
DEST_PREFIX=/usr

PWD=$(shell pwd)

ELISP_DIRS = acl2 coq demoisa generic hol98 isa isar lclam lego mmm phox plastic twelf
EXTRA_DIRS = images x-symbol

BATCHEMACS=${EMACS} -batch -q -no-site-file

BASH_SCRIPTS = isa/interface isar/interface bin/proofgeneral
PERL_SCRIPTS = lego/legotags coq/coqtags
BIN_SCRIPTS = bin/proofgeneral
PG_SCRIPTS = bin/proofgeneral

# FIXME: would rather set load path in Elisp,
# but seems tricky to do only during compilation.
# Another idea: put a function in proof-site to
# output the compile-time load path and
# ELISP_DIRS so these are set just in that one
# place.
BYTECOMP = $(BATCHEMACS) -eval '(setq load-path (append (mapcar (lambda (d) (concat "${PWD}/" (symbol-name d))) (quote (${ELISP_DIRS}))) load-path))' -f batch-byte-compile
EL=$(shell for f in $(ELISP_DIRS); do ls $$f/*.el; done)
ELC=$(EL:.el=.elc)

# Some parts of code were not compile safe, because of macros
# being expanded too early (e.g. proof-defshortcut, easy-menu-define)
# This should be fixed for 3.5, although careful testing is required.
BROKENELC=

.SUFFIXES:	.el .elc

default: all

## 
## compile : byte compile files in working directory:
##           Clearout old .elc's and re-compile in a
##           single Emacs process.  This is faster than "make elc",
##	     but can have artefacts because of context between
##	     compiles.
##
compile: .byte-compile
	lastemacs=`cat .byte-compile`; if [ "$$lastemacs" != "$(EMACS)" ]; then rm -f .byte-compile; make .byte-compile; fi


.byte-compile: $(EL) x-symbol/lisp/*.el
	@echo "*************************************************"
	@echo " Byte compiling..."
	@echo "*************************************************"
	rm -f $(ELC) 
## ignore errors for now: some files still have probs [x-symbol induced]
	-$(BYTECOMP) $(EL)
	rm -f $(BROKENELC)
	@echo " Byte compiling X-Symbol..."
	(cd x-symbol/lisp; rm -f *.elc; $(MAKE) EMACS="$(EMACS) -q -no-site-file")
	echo $(EMACS) > $(@)
	@echo "*************************************************"
	@echo " Finished."
	@echo "*************************************************"


##
## Make .elc's individually.  For testing only: it's a nuisance to
## set compiling context properly in each .el file.
##

.el.elc:
	$(BYTECOMP) $*.el
	rm -f $(BROKENELC)

elc:	$(ELC)


##
## Default targets
##

default: compile scripts

all:	compile scripts


##
## Remove generated targets
##
clean:	cleanpgscripts
	rm -f $(ELC) *~ */*~ .\#* */.\#* .byte-compile
	(cd doc; $(MAKE) clean)
	(cd x-symbol/lisp; $(MAKE) distclean)

distclean: clean

##
## Install files 
##
DESKTOP_PREFIX=${PREFIX}

# Set Elisp directories according to paths used in Red Hat RPMs
# (which may or may not be official Emacs policy).  We generate
# a pg-init.el file which loads the appropriate proof-site.el.
ifeq ($(EMACS),xemacs) 
ELISPP=share/xemacs/site-packages/lisp/ProofGeneral
ELISP_START=${PREFIX}/share/xemacs/site-packages/lisp/site-start.d
else
ELISPP=share/${EMACS}/site-lisp/ProofGeneral
ELISP_START=${PREFIX}/share/${EMACS}/site-lisp/site-start.d
endif

ELISP=${PREFIX}/${ELISPP}
DEST_ELISP=${DEST_PREFIX}/${ELISPP}

BINDIR=${PREFIX}/bin
DESKTOP=${PREFIX}/share
DOCDIR=${PREFIX}/share/doc/ProofGeneral
MANDIR=${PREFIX}/share/man/man1
INFODIR=${PREFIX}/share/info/

install: install-desktop install-elisp install-bin install-init

install-desktop:
	mkdir -p ${DESKTOP}/icons/hicolor/16x16
	cp etc/desktop/icons/16x16/proofgeneral.png ${DESKTOP}/icons/hicolor/16x16
	mkdir -p ${DESKTOP}/icons/hicolor/32x32
	cp etc/desktop/icons/32x32/proofgeneral.png ${DESKTOP}/icons/hicolor/32x32
	mkdir -p ${DESKTOP}/icons/hicolor/48x48
	cp etc/desktop/icons/48x48/proofgeneral.png ${DESKTOP}/icons/hicolor/48x48
	mkdir -p ${DESKTOP}/pixmaps
	cp etc/desktop/icons/48x48/proofgeneral.png ${DESKTOP}/pixmaps
	mkdir -p ${DESKTOP}/applications
	cp etc/desktop/proofgeneral.desktop ${DESKTOP}/applications
	mkdir -p ${DESKTOP}/mime-info
	cp etc/desktop/mime-info/proofgeneral.mime ${DESKTOP}/mime-info
	cp etc/desktop/mime-info/proofgeneral.keys ${DESKTOP}/mime-info
	mkdir -p ${DESKTOP}/application-registry
	cp etc/desktop/application-registry/proofgeneral.applications ${DESKTOP}/application-registry

# NB: .el files are not strictly necessary, but we package/install them
# for the time being to help with debugging, or for users to recompile.
install-elisp: install-el install-elc

# NB: "elisp" directory actually includes the extra subdirs in EXTRA_DIRS,
# i.e. images, x-symbol.  FIXME: we could put these elsewhere, but
# then we would need to adjust paths in proof-site.el.
# FIXME 2: should deal with x-symbol properly and avoid duplication
# with images, and also to avoid including .elc and .el files in
# x-symbol subdirectory.
install-el:
	mkdir -p ${ELISP}
	for f in ${ELISP_DIRS} ${EXTRA_DIRS}; do mkdir -p ${ELISP}/$$f; done
	for f in ${ELISP_DIRS}; do cp -pf $$f/*.el ${ELISP}/$$f; done
	for f in ${EXTRA_DIRS}; do cp -prf $$f/* ${ELISP}/$$f; done

install-elc: compile
	mkdir -p ${ELISP}
	for f in ${ELISP_DIRS} ${EXTRA_DIRS}; do mkdir -p ${ELISP}/$$f; done
	for f in ${ELISP_DIRS}; do cp -pf $$f/*.elc ${ELISP}/$$f; done
	for f in ${EXTRA_DIRS}; do cp -prf $$f/* ${ELISP}/$$f; done

install-init:
	mkdir -p ${ELISP_START}
	echo ';;; pg-init.el --- setup for Proof General' > ${ELISP_START}/pg-init.el
	echo "(setq load-path (append load-path '(\"${DEST_ELISP}/generic\")))" >> ${ELISP_START}/pg-init.el
	echo "(require 'proof-site)" >> ${ELISP_START}/pg-init.el

install-bin: scripts
	mkdir -p ${BINDIR}
	cp -pf ${BIN_SCRIPTS} ${BINDIR}

install-doc: doc.info
	mkdir -p ${MANDIR}
	cp -pf doc/proofgeneral.1 ${MANDIR}
	mkdir -p ${INFODIR}
	cp -pf doc/*.info ${INFODIR}
	/sbin/install-info ${INFODIR}/ProofGeneral.info* ${INFODIR}/dir
	/sbin/install-info ${INFODIR}/PG-adapting.info* ${INFODIR}/dir

doc.%: 
	(cd doc; make $*)

##
## scripts: try to patch bash and perl scripts with correct paths
##
scripts: bashscripts perlscripts pgscripts

bashscripts:
	@(bash="`which bash`"; \
	 if [ -z "$$bash" ]; then \
	   echo "Could not find bash - bash paths not checked" >&2; \
	   exit 0; \
	 fi; \
	 for i in $(BASH_SCRIPTS); do \
	   sed "s|^#.*!.*/bin/bash.*$$|#!$$bash|" < $$i > .tmp \
	   && cat .tmp > $$i; \
	 done; \
	 rm -f .tmp)

perlscripts:
	@(perl="`which perl`"; \
	 if [ -z "$$perl" ]; then \
	   echo "Could not find perl - perl paths not checked" >&2; \
	   exit 0; \
	 fi; \
	 for i in $(PERL_SCRIPTS); do \
	   sed "s|^#.*!.*/bin/perl.*$$|#!$$perl|" < $$i > .tmp \
	   && cat .tmp > $$i; \
	 done; \
	 rm -f .tmp)

# FIXME: this next edit is really for install case, shouldn't be made
# just when user types 'make'
pgscripts:
	@(pghome=${DEST_ELISP}; \
	 for i in $(PG_SCRIPTS); do \
	   sed "s|PGHOME=.*$$|PGHOME=$$pghome|" < $$i > .tmp \
	   && cat .tmp > $$i; \
	 done; \
	 rm -f .tmp)

# Set PGHOME path in scripts back to default location.
cleanpgscripts:
	make pgscripts DEST_ELISP='$$$$HOME/ProofGeneral'


##
## This special target lets us use targets defined 
## in developer's makefile Makefile.devel conveniently,
## via make devel.<target>
##

devel.%:
	make -f Makefile.devel $*

##
## Similarly for xemacs Makefile.
##

xemacs.%:
	make -f Makefile.xemacs $*

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ##
 ## Maintainer:  Proof General maintainer <proofgen@dcs.ed.ac.uk>
 ##
-## Makefile,v 7.0 2002/08/29 09:12:11 da Exp
+## Makefile,v 8.0 2004/04/17 23:39:58 da Exp
 ## 
 ###########################################################################
 ##
@@ -22,3 +22,10 @@
 	make -f Makefile.doc DOCNAME=PG-adapting MAKE="make -f Makefile.doc" $@
 	make -f Makefile.doc DOCNAME=ProofGeneral MAKE="make -f Makefile.doc" $@ 
 
+##
+## man page for proofgeneral script
+##
+# man: proofgeneral.1
+#
+#proofgeneral.1: ../bin/proofgeneral
+#	help2man --output=$@  ../bin/proofgeneral

=== x-symbol/lisp/Makefile ===
# Makefile for emacs-lisp package

#ident "@(#)Makefile  $:Makefile,v 8.0 2004/04/17 23:40:01 da Exp"

# Copyright (C) 1998-1999  Stefan Monnier <monnier@cs.yale.edu>

# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# This file is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.


# Please read the comment in ../README.

# load the package-specific settings
include makefile.pkg

# set up the usual installation paths
prefix  = /usr/local
datadir = $(prefix)/share

# the directory where you install third-party emacs packges
lispdir = $(datadir)/emacs/site-lisp

# the directory where the .elc files will be installed
elcdir  = $(lispdir)/$(PACKAGE)
# the directory where the .el files will be installed
eldir   = $(elcdir)

# the file where the initialization goes.
#startupfile = $(HOME/.emacs
startupfile = $(lispdir)/site-start.el

# the directory where you installed the elib .elc files.
# This is only needed if your site-start.el (or default.el) does not
# set up elib correctly.
elibdir = $(lispdir)/elib

# the directory where you install the info doc
infodir = $(prefix)/info
docdir = $(prefix)/doc

EMACS	= xemacs --debug-init --no-site-file --no-init-file -q --eval '(setq debug-on-error t)'
#EMACS	= emacs
MAKEINFO= makeinfo
TEXI2DVI= texi2dvi
SHELL	= /bin/sh
DVIPS	= dvips
CP	= cp
RM	= rm -f
MKDIR	= mkdir -p
ETAGS	= etags

######################################################################
###        No changes below this line should be necessary          ###
######################################################################

ELFLAGS	= --eval '(setq load-path (append (list "." "$(elibdir)" "$(lispdir)") load-path))'
ELC	= $(EMACS) -batch $(ELFLAGS) -f batch-byte-compile

ELCFILES = $(ELFILES:.el=.elc)

TEXEXTS =  *.cps *.fns *.kys *.vr *.tp *.pg *.log *.aux *.toc *.cp *.ky *.fn

.SUFFIXES: .elc .el .info .ps .dvi .texi
.PHONY: elcfiles info clean distclean default
.PHONY: install_startup install_elc install install_el install_info
.PHONY: dvi postscript

.el.elc:
	$(ELC) $<

.texi.info:
	$(MAKEINFO) $<

.texi.dvi:
	$(TEXI2DVI) $<

.dvi.ps:
	$(DVIPS) -f $< >$@

######################################################################

default: elcfiles

elcfiles: $(ELCFILES)
##info: $(PACKAGE).info

install_elc: $(ELCFILES) $(PACKAGE)-startup.el
	$(MKDIR) $(elcdir)
	for f in $(ELCFILES) $(PACKAGE)-startup.el; do \
	    $(CP) $$f $(elcdir)/$$f ;\
	done

install_el:
	$(MKDIR) $(eldir)
	for f in $(ELFILES); do \
	    $(CP) $$f $(eldir)/$$f ;\
	done

##install_info: $(PACKAGE).info
##	$(MKDIR) $(infodir)
##	if [ -r $(PACKAGE).info ]; then \
##	    $(CP) *.info* $(infodir)/ ;\
##	else \
##	    $(CP) $(PACKAGE)-[0-9]* $(infodir)/ ;\
##	fi
##	-[ ! -w $(infodir)/dir ] \
##	    || install-info --info-dir=$(infodir)/dir $(PACKAGE).info

install_startup:
	$(MKDIR) $(lispdir)
	@if grep $(PACKAGE) $(lispdir)/site-start.el >/dev/null 2>&1 || \
	   grep $(PACKAGE) $(startupfile) >/dev/null 2>&1 || \
	   grep $(PACKAGE) $(lispdir)/default.el >/dev/null 2>&1; then \
	    echo "**********************************************************" ;\
	    echo "*** It seems you already have some setup code" ;\
	    echo "*** for $(PACKAGE) in your startup files." ;\
	    echo "*** Check that it properly loads \"$(PACKAGE)-startup\"" ;\
	    echo "**********************************************************" ;\
	else \
	    echo 'echo ";; load $(PACKAGE) setup code" >>$(startupfile)' ;\
	    echo ";; load $(PACKAGE) setup code" >>$(startupfile) ;\
	    echo 'echo "(add-to-list '\''load-path \"$(elcdir)\")" >>$(startupfile)' ;\
	    echo "(add-to-list 'load-path \"$(elcdir)\")" >>$(startupfile) ;\
	    echo 'echo "(load \"$(PACKAGE)-startup\")" >>$(startupfile)' ;\
	    echo "(load \"$(PACKAGE)-startup\")" >>$(startupfile) ;\
	fi

postscript: $(PACKAGE).ps
dvi: $(PACKAGE).dvi
install_dvi: dvi
	$(MKDIR) $(docdir)
	$(CP) `find . -type f -name '*.dvi' -print` $(docdir)/

install: install_elc install_startup # install_el install_info

clean:
	$(RM) *~ core .\#* $(TEXEXTS)

TAGS tags:
	$(ETAGS) $(ELFILES)

distclean: clean
	$(RM) *.elc *.dvi *.info* *.ps

######################################################################
###                    don't look below                            ###
######################################################################

$(PACKAGE)-startup.el: $(ELFILES)
	[ -f $@ ] || echo '' >$@
	$(EMACS) --batch --eval '(setq generated-autoload-file "'`pwd`'/$@")' -f batch-update-autoloads "."

##

TAG = $(shell echo v$(VERSION) | tr '.' '_')
ftpdir=/home/ftp/pub/monnier/$(PACKAGE)

dist:
	cvs tag -F $(TAG) &&\
	cd $(TMP) &&\
	cvs export -r $(TAG) -d $(PACKAGE)-$(VERSION) elisp/$(PACKAGE) &&\
	cd $(PACKAGE)-$(VERSION) &&\
##	gmake info $(PACKAGE)-startup.el &&\
	cd .. &&\
	ztar $(PACKAGE)-$(VERSION) &&\
	rm -rf $(PACKAGE)-$(VERSION)
	mv $(TMP)/$(PACKAGE)-$(VERSION).tar.gz $(ftpdir)/
	ln -sf $(PACKAGE)-$(VERSION).tar.gz $(ftpdir)/$(PACKAGE).tar.gz

=== x-symbol/man/Makefile ===
### Makefile --- create info, ps, pdf and html files for package X-Symbol

## Copyright (C) 1998-2003 Free Software Foundation, Inc.
##
## Author: Christoph Wedler <wedler@users.sourceforge.net>
## Version: 4.5
## Keywords: fonts, WYSIWYG, LaTeX, HTML, wp, math
## X-URL: http://x-symbol.sourceforge.net/

# This file is not part of XEmacs.

# This software is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# This software is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with This software; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.


MAKEINFO = makeinfo --no-split
TEXI2DVI = texi2dvi -t @afourpaper
DVIPS = dvips
TEXI2PDF = texi2pdf -t @afourpaper
TEXI2HTML = texi2html -Verbose -expand info -split chapter -menu -number \
		-lang="en" -top_file="index.html" -init_file="x-symbol.init"

EMACS = xemacs
EFLAG = -q --no-site-file --batch
EFLAG_FINAL = --kill

# pdfTeX, Version 3.14159-13d (Web2C 7.3.1) has problems with @value in both
# @url and @uref.  Use expanded texi file for texi2pdf...
PRELOADS = -eval "(progn \
  (defun texi-expand (last) \
    (setq buffer-read-only nil) \
    (let (replaces text) \
      (goto-char (point-min)) \
      (while (re-search-forward \"^@set[ \\t]+\\\\([a-zA-Z-_]+\\\\)[ \\t]+\\\\(.+\\\\)\" \
                                nil t) \
        (if (setq text (assoc (match-string 1) replaces)) \
            (if last (setcdr text (match-string 2))) \
          (push (cons (match-string 1) (match-string 2)) replaces))) \
      (setq text \
            (concat \"@value{\\\\(\" (regexp-opt (mapcar 'car replaces)) \"\\\\)}\")) \
      (goto-char (point-min)) \
      (while (re-search-forward text nil t) \
        (replace-match (cdr (assoc (match-string 1) replaces)) t t)) \
      (write-file (concat buffer-file-name \"-exp\")))))"

ifeq ($(EMACS),emacs)
GNU = -D GNU
PRELOADS += -eval "(texi-expand nil)"
else
GNU =
PRELOADS += -eval "(texi-expand t)"
endif

info:	x-symbol.info
x-symbol.info: x-symbol.texi
	$(MAKEINFO) $(GNU) x-symbol.texi

ps:	x-symbol.ps
x-symbol.ps: x-symbol.dvi
	$(DVIPS) -o x-symbol.ps x-symbol.dvi
x-symbol.dvi: x-symbol.texi
	$(TEXI2DVI) x-symbol.texi

pdf:	x-symbol.pdf
x-symbol.pdf: x-symbol.texi-exp
	$(TEXI2PDF) x-symbol.texi-exp
x-symbol.texi-exp: x-symbol.texi
	$(EMACS) $(EFLAG) x-symbol.texi $(PRELOADS) $(EFLAG_FINAL)

html:	index.html
index.html: x-symbol.texi x-symbol.init
	$(TEXI2HTML) x-symbol.texi

all:	info ps pdf html

clean:
	rm -f x-symbol x-symbol.aux x-symbol.cp* \
                x-symbol.dvi x-symbol.fn* x-symbol.ky* \
                x-symbol.log x-symbol.pg* x-symbol.ps \
		x-symbol.texi-exp x-symbol.pdf \
                x-symbol.toc x-symbol.tp x-symbol.tp \
                x-symbol.vr* x-symbol.info* x-symbol*.html index.html

## proofgeneral 3.7

=== Makefile ===
--- 
+++ 
@@ -4,18 +4,24 @@
 ## Author:  David Aspinall <David.Aspinall@ed.ac.uk>
 ##
 ##  make		- do "compile" and "scripts" targets
-##  make compile	- make .elc's in a single session
+##  make compile	- make .elc's 
 ##  make scripts	- edit paths to bash/perl/PGHOME in scripts
 ##  make install	- install into system directories
 ##  make clean		- return to clean source
 ##
-## Makefile,v 8.0 2004/04/17 23:23:53 da Exp
+## Edit the EMACS setting below or call with an explicit one, like this:
+##
+##     make EMACS=xemacs
+## or
+##     make EMACS=/Applications/Emacs.app/Contents/MacOS/Emacs
+##
+## Makefile,v 9.1 2008/01/31 13:06:38 da Exp
 ## 
 ###########################################################################
 
 # Set this to "emacs" or "xemacs" according to your version of Emacs.
 # NB: this is also used to set default install path names below.
-EMACS=xemacs
+EMACS=$(shell if [ -z "`which emacs`" ]; then echo xemacs; else echo emacs; fi)
 
 # We default to /usr rather than /usr/local because installs of
 # desktop and doc files under /usr/local are unlikely to work with
@@ -28,70 +34,80 @@
 
 PWD=$(shell pwd)
 
-ELISP_DIRS = acl2 coq demoisa generic hol98 isa isar lclam lego mmm phox plastic twelf
+PROVERS=acl2 ccc coq demoisa hol98 isar lclam lego pgshell phox plastic twelf
+OTHER_ELISP=generic lib mmm
+ELISP_DIRS=${PROVERS} ${OTHER_ELISP}
+ELISP_EXTRAS=isar/interface isar/isartags
 EXTRA_DIRS = images x-symbol
 
-BATCHEMACS=${EMACS} -batch -q -no-site-file
-
-BASH_SCRIPTS = isa/interface isar/interface bin/proofgeneral
-PERL_SCRIPTS = lego/legotags coq/coqtags
-BIN_SCRIPTS = bin/proofgeneral
+DOC_FILES=AUTHORS BUGS COMPATIBILITY CHANGES COPYING INSTALL README REGISTER doc/*.pdf
+DOC_EXAMPLES=acl2/*.acl2 hol98/*.sml isar/*.thy lclam/*.lcm lego/*.l pgshell/*.pgsh phox/*.phx plastic/*.lf twelf/*.elf
+DOC_SUBDIRS=${DOC_EXAMPLES} */README* */CHANGES */BUGS 
+
+BATCHEMACS=${EMACS} --batch --no-site-file -q 
+
+# Scripts to edit paths to shells
+BASH_SCRIPTS = isar/interface bin/proofgeneral
+PERL_SCRIPTS = lego/legotags coq/coqtags isar/isartags
+# Scripts to edit path to PG
 PG_SCRIPTS = bin/proofgeneral
 
-# FIXME: would rather set load path in Elisp,
-# but seems tricky to do only during compilation.
-# Another idea: put a function in proof-site to
-# output the compile-time load path and
-# ELISP_DIRS so these are set just in that one
-# place.
+# Scripts to install to bin directory
+BIN_SCRIPTS = bin/proofgeneral lego/legotags coq/coqtags isar/isartags
+
+# Setting load path might be better in Elisp, but seems tricky to do
+# only during compilation.  Another idea: put a function in proof-site
+# to output the compile-time load path and ELISP_DIRS so these are set
+# just in that one place.
 BYTECOMP = $(BATCHEMACS) -eval '(setq load-path (append (mapcar (lambda (d) (concat "${PWD}/" (symbol-name d))) (quote (${ELISP_DIRS}))) load-path))' -f batch-byte-compile
 EL=$(shell for f in $(ELISP_DIRS); do ls $$f/*.el; done)
 ELC=$(EL:.el=.elc)
 
-# Some parts of code were not compile safe, because of macros
-# being expanded too early (e.g. proof-defshortcut, easy-menu-define)
-# This should be fixed for 3.5, although careful testing is required.
-BROKENELC=
-
 .SUFFIXES:	.el .elc
 
 default: all
 
+FORCE:
+
 ## 
-## compile : byte compile files in working directory:
-##           Clearout old .elc's and re-compile in a
-##           single Emacs process.  This is faster than "make elc",
-##	     but can have artefacts because of context between
-##	     compiles.
-##
-compile: .byte-compile
-	lastemacs=`cat .byte-compile`; if [ "$$lastemacs" != "$(EMACS)" ]; then rm -f .byte-compile; make .byte-compile; fi
-
+## compile : byte compile all lisp files
+##           If EMACS variable has changed since last call, clearout 
+##	     old .elc's and re-compile.
+##
+compile: $(EL) x-symbol/lisp/*.el
+	lastemacs=`cat .byte-compile 2>/dev/null || echo `; if [ "$$lastemacs" != "" ] && [ "$$lastemacs" != "$(EMACS)" ]; then rm -f .byte-compile $(ELC) x-symbol/lisp/*.elc; fi
+	make .byte-compile
+
+## Compiling can show up errors in the code, but be wary of fixing obsoletion
+## or argument call warnings unless they're valid for both Emacsen.
 
 .byte-compile: $(EL) x-symbol/lisp/*.el
-	@echo "*************************************************"
-	@echo " Byte compiling..."
-	@echo "*************************************************"
-	rm -f $(ELC) 
-## ignore errors for now: some files still have probs [x-symbol induced]
-	-$(BYTECOMP) $(EL)
-	rm -f $(BROKENELC)
+	@echo "****************************************************************"
+	@echo " Byte compiling... "
+	@echo "****************************************************************"
+	make elc
 	@echo " Byte compiling X-Symbol..."
-	(cd x-symbol/lisp; rm -f *.elc; $(MAKE) EMACS="$(EMACS) -q -no-site-file")
+	(cd x-symbol/lisp; $(MAKE) EMACS="$(EMACS) -q -no-site-file")
 	echo $(EMACS) > $(@)
-	@echo "*************************************************"
+	@echo "****************************************************************"
 	@echo " Finished."
-	@echo "*************************************************"
-
-
-##
-## Make .elc's individually.  For testing only: it's a nuisance to
-## set compiling context properly in each .el file.
-##
+	@echo "****************************************************************"
+
+
+##
+## Make an individual .elc.  Building separately means we need to be
+## careful to add proper requires in source files and prevent
+## evaluating/optimising top-level forms too early.  Using a separate
+## emacs process for each file is slower but avoids any chance of
+## accidently polluting the compilation environment.
+##
+
+## maths-menu.el doesn't compile on XEmacs 21.4, argh.
+lib/maths-menu.elc: lib/maths-menu.el
+	-$(BYTECOMP) $*.el
 
 .el.elc:
 	$(BYTECOMP) $*.el
-	rm -f $(BROKENELC)
 
 elc:	$(ELC)
 
@@ -99,8 +115,6 @@
 ##
 ## Default targets
 ##
-
-default: compile scripts
 
 all:	compile scripts
 
@@ -138,7 +152,7 @@
 DESKTOP=${PREFIX}/share
 DOCDIR=${PREFIX}/share/doc/ProofGeneral
 MANDIR=${PREFIX}/share/man/man1
-INFODIR=${PREFIX}/share/info/
+INFODIR=${PREFIX}/share/info
 
 install: install-desktop install-elisp install-bin install-init
 
@@ -156,6 +170,7 @@
 	mkdir -p ${DESKTOP}/mime-info
 	cp etc/desktop/mime-info/proofgeneral.mime ${DESKTOP}/mime-info
 	cp etc/desktop/mime-info/proofgeneral.keys ${DESKTOP}/mime-info
+# backwards compatibility with old linuxes
 	mkdir -p ${DESKTOP}/application-registry
 	cp etc/desktop/application-registry/proofgeneral.applications ${DESKTOP}/application-registry
 
@@ -169,17 +184,21 @@
 # FIXME 2: should deal with x-symbol properly and avoid duplication
 # with images, and also to avoid including .elc and .el files in
 # x-symbol subdirectory.
+# FIMXE 3: Michaël Cadilhac pointed out that 'cp -p' when used with
+# sudo to install will give users ownership instead of root. 
+# Should use install program or fix ownerships afterwards here.
 install-el:
 	mkdir -p ${ELISP}
 	for f in ${ELISP_DIRS} ${EXTRA_DIRS}; do mkdir -p ${ELISP}/$$f; done
 	for f in ${ELISP_DIRS}; do cp -pf $$f/*.el ${ELISP}/$$f; done
 	for f in ${EXTRA_DIRS}; do cp -prf $$f/* ${ELISP}/$$f; done
+	for f in ${ELISP_EXTRAS}; do cp -pf $$f ${ELISP}/$$f; done
 
 install-elc: compile
 	mkdir -p ${ELISP}
 	for f in ${ELISP_DIRS} ${EXTRA_DIRS}; do mkdir -p ${ELISP}/$$f; done
 	for f in ${ELISP_DIRS}; do cp -pf $$f/*.elc ${ELISP}/$$f; done
-	for f in ${EXTRA_DIRS}; do cp -prf $$f/* ${ELISP}/$$f; done
+	for f in ${ELISP_EXTRAS}; do cp -pf $$f ${ELISP}/$$f; done
 
 install-init:
 	mkdir -p ${ELISP_START}
@@ -191,16 +210,22 @@
 	mkdir -p ${BINDIR}
 	cp -pf ${BIN_SCRIPTS} ${BINDIR}
 
-install-doc: doc.info
+install-doc: doc.info doc.pdf
 	mkdir -p ${MANDIR}
 	cp -pf doc/proofgeneral.1 ${MANDIR}
 	mkdir -p ${INFODIR}
 	cp -pf doc/*.info ${INFODIR}
 	/sbin/install-info ${INFODIR}/ProofGeneral.info* ${INFODIR}/dir
 	/sbin/install-info ${INFODIR}/PG-adapting.info* ${INFODIR}/dir
-
-doc.%: 
-	(cd doc; make $*)
+	mkdir -p ${DOCDIR}
+	for f in ${DOC_FILES}; do cp -pf $$f ${DOCDIR}; done
+	for f in ${DOC_EXAMPLES}; do mkdir -p ${DOCDIR}/`dirname $$f`; cp -pf $$f ${DOCDIR}/$$f; done
+
+doc: FORCE
+	(cd doc; make EMACS=$(EMACS) $*)
+
+doc.%: FORCE
+	(cd doc; make EMACS=$(EMACS) $*)
 
 ##
 ## scripts: try to patch bash and perl scripts with correct paths
@@ -234,30 +259,22 @@
 # FIXME: this next edit is really for install case, shouldn't be made
 # just when user types 'make'
 pgscripts:
-	@(pghome=${DEST_ELISP}; \
-	 for i in $(PG_SCRIPTS); do \
-	   sed "s|PGHOME=.*$$|PGHOME=$$pghome|" < $$i > .tmp \
+	@(for i in $(PG_SCRIPTS); do \
+	   sed "s|PGHOMEDEFAULT=.*$$|PGHOMEDEFAULT=${DEST_ELISP}|" < $$i > .tmp \
 	   && cat .tmp > $$i; \
 	 done; \
 	 rm -f .tmp)
 
 # Set PGHOME path in scripts back to default location.
 cleanpgscripts:
-	make pgscripts DEST_ELISP='$$$$HOME/ProofGeneral'
-
-
-##
-## This special target lets us use targets defined 
-## in developer's makefile Makefile.devel conveniently,
-## via make devel.<target>
-##
-
-devel.%:
-	make -f Makefile.devel $*
-
-##
-## Similarly for xemacs Makefile.
-##
-
-xemacs.%:
-	make -f Makefile.xemacs $*
+	@(for i in $(PG_SCRIPTS); do \
+	   sed "s|PGHOMEDEFAULT=.*$$|PGHOMEDEFAULT=\$$HOME/ProofGeneral|" < $$i > .tmp \
+	   && cat .tmp > $$i; \
+	 done; \
+	 rm -f .tmp)
+
+##
+## Include developer's makefile if it exists here.
+##
+
+-include Makefile.devel

=== doc/Makefile ===
##
## Makefile for Proof General doc directory.
##
## Author:  David Aspinall <da@dcs.ed.ac.uk>
##
## Maintainer:  Proof General maintainer <proofgen@dcs.ed.ac.uk>
##
## Makefile,v 9.0 2008/01/30 15:22:07 da Exp
## 
###########################################################################
##
## Use:
##	make info,dvi,pdf,html    - build respective docs from texi source.
##	make doc		  - make default kinds of doc (dvi, info).
##
###########################################################################

default:
	$(MAKE) doc

%:
	$(MAKE) -f Makefile.doc DOCNAME=PG-adapting MAKE="$(MAKE) -f Makefile.doc" $@
	$(MAKE) -f Makefile.doc DOCNAME=ProofGeneral MAKE="$(MAKE) -f Makefile.doc" $@ 

##
## man page for proofgeneral script
##
# man: proofgeneral.1
#
proofgeneral.1: ../bin/proofgeneral
	help2man --output=$@  ../bin/proofgeneral

=== x-symbol/lisp/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for emacs-lisp package
 
-#ident "@(#)Makefile  $:Makefile,v 8.0 2004/04/17 23:40:01 da Exp"
+#ident "@(#)Makefile  $:Makefile,v 9.0 2008/01/30 15:22:26 da Exp"
 
 # Copyright (C) 1998-1999  Stefan Monnier <monnier@cs.yale.edu>

=== x-symbol/etc/fonts/Makefile ===
### Makefile --- create fonts for package x-symbol

# This version modified by Clemens Ballarin to accommodate 18pt and 24pt
# x-symb fonts.  23 April 2004

## Author: Christoph Wedler <wedler@users.sourceforge.net>
## Version: 4.4
## Keywords: fonts, WYSIWYG, LaTeX, HTML, wp, math
## X-URL: http://x-symbol.sourceforge.net/

# This file is not part of XEmacs.

# This software is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# This software is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with This software; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

# latin-2: ftp://ftp.vslib.cz/pub/unix/X11/fonts/iso8859-2/ (1998)
# latin-3: XEMACS/aux/fonts/ (1998), changed
# latin-5: ETL (1998)
# latin-9: http://linux.ee/~ville/vh-fonts/vh-fonts-0.99.2.tar.gz (2002)
#          http://www.inp.nsk.su/~bolkhov/files/fonts/cyr-rfx/srctgz/
#          cyr-rfx-iso8859-15-1.0.bdfs.tgz: didn't succeed to download

PERL = perl
BDFTOPCF = bdftopcf

FONTS = ../fonts
GENFONTS = ../genfonts
ORIGFONTS = ../origfonts
PCFDIR = ../pcf

ORIGBDFS = helvR12.bdf helvR14.bdf helvR18.bdf helvR24.bdf
BDFS = 2helvR12.bdf 3helvR12.bdf 5etl14.bdf heriR12.bdf \
	xsymb0_12.bdf xsymb1_12.bdf \
	2helvR14.bdf 3helvR14.bdf 5etl16.bdf heriR14.bdf \
	xsymb0_14.bdf xsymb1_14.bdf \
	xsymb0_18.bdf xsymb1_18.bdf \
	xsymb0_24.bdf xsymb1_24.bdf 
EXTRABDFS = nilxs.bdf

.SUFFIXES:
.SUFFIXES: .pcf .bdf

vpath %.bdf $(FONTS):$(ORIGFONTS):$(GENFONTS)

GENS = $(patsubst %.bdf,$(GENFONTS)/%sub.bdf,$(ORIGBDFS)) \
	$(patsubst %.bdf,$(GENFONTS)/%sub.bdf,$(BDFS)) \
	$(patsubst %.bdf,$(GENFONTS)/%sup.bdf,$(ORIGBDFS)) \
	$(patsubst %.bdf,$(GENFONTS)/%sup.bdf,$(BDFS))
PCFS = $(patsubst %.bdf,$(PCFDIR)/%.pcf,$(BDFS)) \
	$(patsubst %.bdf,$(PCFDIR)/%.pcf,$(EXTRABDFS)) \
	$(patsubst %.bdf,$(PCFDIR)/%sub.pcf,$(ORIGBDFS)) \
	$(patsubst %.bdf,$(PCFDIR)/%sub.pcf,$(BDFS)) \
	$(patsubst %.bdf,$(PCFDIR)/%sup.pcf,$(ORIGBDFS)) \
	$(patsubst %.bdf,$(PCFDIR)/%sup.pcf,$(BDFS))

$(PCFDIR)/%.pcf: %.bdf
	$(BDFTOPCF) -o $@ $<

$(GENFONTS)/%sub.bdf: %.bdf
	$(PERL) ./makesub $< $@
$(GENFONTS)/%sup.bdf: %.bdf
	$(PERL) ./makesub $< $@

## da: Make a Mac OS X dfont file.  Experimental, added in Proof General.
%.dfont: *.bdf
	ufond -dfont $**.bdf

dfonts: 2hevlR.dfont 3hevlR.dfont 5etl.dfont heriR.dfont xsymb0.dfont xsymb1.dfont 

## vpath and VPATH don't accept a dir which doesn't exists yet...
all:
	$(MAKE) mkdirs
	$(MAKE) pcfs

echo:
	echo $(BDFS)
	echo $(GENS)

mkdirs:
	-if [ ! -d $(GENFONTS) ]; then mkdir $(GENFONTS); fi
	-if [ ! -d $(PCFDIR) ]; then mkdir $(PCFDIR); \
			       else rm -f $(PCFDIR)/*.pcf ; fi;

gens: $(GENS)

pcfs: gens $(PCFS)
	cd $(PCFDIR) ; mkfontdir
	-xset fp rehash

clean:
	-if [ -d $(GENFONTS) ]; then rm -f $(GENFONTS)/*.bdf ; fi
	-if [ -d $(PCFDIR) ]; then \
		rm -f $(PCFDIR)/*.pcf $(PCFDIR)/fonts.dir ; fi

## proofgeneral 4.2~pre120112

=== debian/changelog ===
proofgeneral (4.2~pre120112-1) unstable; urgency=low

  * adopting proofgeneral (Closes: #554263)
  * restart packaging from scratch (Closes: #626589)
    This new Proof General package has not much in common with the old
    one:
    - source package format 3.0 (quilt)
    - only two binary packages: proofgeneral and proofgeneral-doc
    - no support for Isabelle/Hol or Isar, because Isabelle is packaged
      with its own custom version of Proof General (Closes: #252721)
    - no support for minlog because it is not present upstream 
      (Closes: #613779)
    - support only Coq and PhoX
    - no debconf, proofgeneral is always installed site-wide (Closes: #452824)
    - only support emacs23, because upstream only supports emacs23
      (Closes: #520566)
    The old changelog file is appended below.

 -- Hendrik Tews <hendrik@askra.de>  Thu, 12 Jan 2012 21:15:51 +0100

proofgeneral (3.7-4) unstable; urgency=low

  * QA upload
  * Use Debian QQA as maintainer. Closes: #554263
  * Danish debconf translation update. Closes: #592274

 -- Christian Perrier <bubulle@debian.org>  Mon, 11 Oct 2010 21:47:36 +0200

proofgeneral (3.7-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Trivial lintian fixes:
    - Add ${misc:Depends} to binary packages dependencies
      so that debhelper-triggered dependencies are properly
      added at build time.
    - Bump debhelper compatibility to 7
    - Replace calls to deprecated "dh_clean -k" by dh_prep
    - Have copyright file refer to the versioned GPL-2
      license file
    - Drop calls to install-info to register info pages as
      this is now handled by triggers
    - As a consequence, drop the now empty proofgeneral.prerm
      script
    - No longer ignore errors in proofgeneral.postinst,
       proofgeneral.presinst and proofgeneral.config (use "set -e")
    - Add dependency on "dpkg (>= 1.15.4) | install-info"
      to properly ihandle info documents installation
  * Fix pending l10n issues. Debconf translations:
    - Swedish (Martin Bagge).  Closes: #504034
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #510721
    - Spanish (Fernando González de Requena).  Closes: #520539
    - Italian (Luca Monducci).  Closes: #546648

 -- Christian Perrier <bubulle@debian.org>  Sat, 19 Sep 2009 07:47:14 +0200

proofgeneral (3.7-3) unstable; urgency=low

  * Fix bin/proofgeneral script:
    - correct lowercase path to the lisp directory. Closes: 473893
    - working -v and --version option which need the PGHOME to work.

 -- Stefan Schimanski <schimmi@debian.org>  Wed, 2 Apr 2008 11:41:10 +0100

proofgeneral (3.7-2) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #450681
  * [Debconf translation updates]
    - Galician. Closes: #451163
    - Portuguese. Closes: #451170
    - Finnish. Closes: #451280
    - German. Closes: #451761
    - Czech. Closes: #451832
    - French. Closes: #452809
    - Dutch. Closes: #452951
    - Russian. Closes: #453317
    - Vietnamese. Closes: #453650
  * [Lintian] Insert correct copyright in debian/copyright

 -- Stefan Schimanski <schimmi@debian.org>  Wed, 19 Mar 2008 19:25:44 +0200

proofgeneral (3.5-6) unstable; urgency=low

  * Removed support for mzscheme <300
  * Only use one startup script for all emacs versions
  * Added nl translation. Closes: 418390
  * Moved to menu section Applications/Science/Mathematics

 -- Stefan Schimanski <schimmi@debian.org>  Sun, 21 Oct 2007 17:36:26 +0200

proofgeneral (3.5-5) unstable; urgency=low

  * Fix emacs dependencies. Emacs22 is current now in sid. Closes: 434975, 403147

 -- Stefan Schimanski <schimmi@debian.org>  Sun, 07 Oct 2007 23:03:21 +0200

proofgeneral (3.5-4.1) unstable; urgency=low

  * Non-maintainer upload to fix an RC bug
  * Move debhelper and mzscheme to Build-Depends. Closes: 403572
    Lintian warnings are things that should be taken seriously.
  * Lintian fixes:
    - Remove useless CVS directory minlog/CVS
    - Use 4 as debhelper compatibility (through debian/compat)  

 -- Christian Perrier <bubulle@debian.org>  Tue, 19 Dec 2006 08:27:28 +0100

proofgeneral (3.5-4) unstable; urgency=low

  * Added support for Minlog
  * Do not load proof-site.el automatically anymore, but instead 
    install an interactive function "proofgeneral". It then loads
    the ProofGeneral and, most importantly, assign the file extension
    to ProofGeneral. Closes: #260074,#176921
  
 -- Stefan Schimanski <schimmi@debian.org>  Wed, 6 Dec 2006 21:47:30 +0200
  

proofgeneral (3.5-3.1) unstable; urgency=low

  * Non maintainer upload to fix longstanding l10n issues
  * Add debconf-2.0 as alternative to debconf. Closes: #332077
  * Debconf templates translations:
    - Added Vietnamese. Closes: #317611
    - Added Japasese. Closes: #288029
    - Added Czech. Closes: #308466
    - Added Swedish. Closes: #332359
    - Added Brazilian Portuguese. Sent during the call for updates of the NMU.
    - Added Russian. Sent during the call for updates of the NMU.
    - Added Portuguese. Sent during the call for updates of the NMU.
    - Added German. Sent during the call for updates of the NMU.

 -- Christian Perrier <bubulle@debian.org>  Sat,  7 Oct 2006 00:33:05 +0200

proofgeneral (3.5-3) unstable; urgency=low

  * Updated maintainer email address.

 -- Stefan Schimanski <schimmi@debian.org>  Fri, 20 Aug 2004 14:38:30 +0200

proofgeneral (3.5-2) unstable; urgency=low

  * Fixed info path (closes: #215126)
  * Fixed typos (closes: #239005)
  * Fixed url to ProofGeneral homepage (closes: #262636)
  * This is 3.5 (closes #247854)
  * Load ~/.proofgeneral if available from proofgeneral script (closes #252252)

 -- Stefan Schimanski <schimmi@debian.org>  Fri, 20 Aug 2004 14:18:46 +0200

proofgeneral (3.5-1) unstable; urgency=low

  * New upstream release.

 -- Stefan Schimanski <schimmi@debian.org>  Mon, 20 Aug 2004 13:40:30 +0200

proofgeneral (3.4-14) unstable; urgency=low



=== debian/control ===
Source: proofgeneral
Section: science
Priority: optional
Maintainer: Hendrik Tews <hendrik@askra.de>
Build-Depends: debhelper (>= 8), texinfo, texlive-latex-base, texlive-generic-recommended, texi2html, emacs23-nox | emacs23 | emacs23-lucid
Standards-Version: 3.9.2
Homepage: http://proofgeneral.inf.ed.ac.uk

Package: proofgeneral
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, emacs23 | emacs23-nox | emacs23-lucid, mmm-mode
Suggests: proofgeneral-doc
Replaces: proofgeneral-coq, proofgeneral-misc
Conflicts: proofgeneral-coq, proofgeneral-minlog, proofgeneral-misc
Description: generic frontend for proof assistants
 Proof General is a major mode to turn Emacs into an interactive proof
 assistant to write formal mathematical proofs using a variety of
 theorem provers. 
 .
 This package provides the Proof General support for Coq, PhoX and LEGO.


Package: proofgeneral-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: info-browser | pdf-viewer | www-browser
Suggests: proofgeneral
Description: generic frontend for proof assistants - documentation
 Proof General is a major mode to turn Emacs into an interactive proof
 assistant to write formal mathematical proofs using a variety of
 theorem provers. 
 .
 This package provides Proof General user manual in info, html and pdf
 form.
